Bug 170613 - missing buildrequirement for java-1.4.2-gcj-compat-devel
missing buildrequirement for java-1.4.2-gcj-compat-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lucene (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vadim Nasardinov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 08:59 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-07 16:27:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
build log (69.99 KB, text/plain)
2005-10-13 08:59 EDT, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2005-10-13 08:59:26 EDT
Created attachment 119895 [details]
build log
Comment 1 Karsten Hopp 2005-10-13 08:59:26 EDT
Description of problem:
missing a buildrequirement for java-1.4.2-gcj-compat-devel:
+ find-and-aot-compile . -fPIC
/var/tmp/lucene-1.4.3-1jpp_1fc.src.rpm/rpm-tmp.51473: line 37:
find-and-aot-compile: command not found
error: Bad exit status from /var/tmp/lucene-1.4.3-1jpp_1fc.src.rpm/rpm-tmp.51473
(%build)

Version-Release number of selected component (if applicable):
lucene-1.4.3-1jpp_1fc

How reproducible:
Always

Steps to Reproduce:
1.try to build package in a minimal environment (mock)
2.
3.
  

Additional info:
Comment 2 Vadim Nasardinov 2005-11-07 16:27:42 EST
I think overholt fixed this on Oct 27 in rawhide.

As of lucene/devel/lucene.spec,v1.9, find-and-aot-compile is no longer
used.  Instead, aot-compile-rpm is used:


| $ cvs status lucene.spec | grep revision
|    Working revision:    1.10
|    Repository revision: 1.10    /cvs/dist/rpms/lucene/devel/lucene.spec,v
|
| $ cvs annotate lucene.spec 2>/dev/null | grep aot-compile-rpm
| 1.9          (overholt 27-Oct-05): aot-compile-rpm
| 1.9          (overholt 27-Oct-05): - Use aot-compile-rpm.
| 
| $ cvs annotate -r1.8 lucene.spec 2>/dev/null | grep aot-compile
| 1.2          (overholt 09-Jun-05):   find-and-aot-compile . "-fPIC"


aot-compile-rpm is shipped by java-1.4.2-gcj-compat-devel:

| $ rpm -qf $(readlink -f $(which aot-compile-rpm))
| java-1.4.2-gcj-compat-devel-1.4.2.0-40jpp_51rh

The latter is listed as a BuildRequires for lucene:

| $ cvs annotate lucene.spec 2>/dev/null | grep java-gcj-compat-devel
| 1.9          (overholt 27-Oct-05): BuildRequires:       java-gcj-compat-devel
>= 1.0.43
| $ rpm -q --whatprovides java-gcj-compat-devel
| java-1.4.2-gcj-compat-devel-1.4.2.0-40jpp_51rh

Note You need to log in before you can comment on or make changes to this bug.